#!/usr/bin/env bash

>&2 echo "Install WordPress check."

vendor_brewpixel_barista_bin_wp_dir=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )

source "${vendor_brewpixel_barista_bin_wp_dir}/../../Burr/burr-dependencies.sh"
ensure_readlink_installed

if [[ "$OSTYPE" == "linux-gnu" ]]; then
    vendor_brewpixel_barista_bin_dir=$(readlink -f $(dirname "${vendor_brewpixel_barista_bin_wp_dir}"))
    vendor_brewpixel_barista_dir=$(readlink -f $(dirname "${vendor_brewpixel_barista_bin_dir}"))
    vendor_dir=$(readlink -f $(dirname "${vendor_brewpixel_barista_dir}"))
    project_base=$(readlink -f $(dirname "${vendor_dir}"))
elif [[ "$OSTYPE" == "darwin"* ]]; then
    # Mac OSX
    vendor_brewpixel_barista_bin_dir=$(greadlink -f $(dirname "${vendor_brewpixel_barista_bin_wp_dir}"))
    vendor_brewpixel_barista_dir=$(greadlink -f $(dirname "${vendor_brewpixel_barista_bin_dir}"))
    vendor_dir=$(greadlink -f $(dirname "${vendor_brewpixel_barista_dir}"))
    project_base=$(greadlink -f $(dirname "${vendor_dir}"))
else
    # Unknown.
    vendor_brewpixel_barista_bin_dir=$(readlink -f $(dirname "${vendor_brewpixel_barista_bin_wp_dir}"))
    vendor_brewpixel_barista_dir=$(readlink -f $(dirname "${vendor_brewpixel_barista_bin_dir}"))
    vendor_dir=$(readlink -f $(dirname "${vendor_brewpixel_barista_dir}"))
    project_base=$(readlink -f $(dirname "${vendor_dir}"))
fi

## Source scripts
source "${vendor_brewpixel_barista_dir}/config.sh"
source "${vendor_brewpixel_barista_dir}/Burr/bootstrap.sh"

#source "${vendor_brewpixel_barista_dir}/../bashful/bin/bashful"

for f in $(ls "${vendor_brewpixel_barista_dir}/Burr/");
    do source "${vendor_brewpixel_barista_dir}/Burr/${f}";
done

mysql_check=$(mysqladmin -u${db_user:-root} -p${db_password:-root} ping 2>/dev/null | grep -c "mysqld is alive")

if [ ${mysql_check} -ne 1 ]; then
	die "WordPress was not installed. Installation was stopped as we can not connect to the database"
	return 1
fi

db_check=$(wp db query 'show tables;' 2>&1 | grep -c "Unknown database")

>&2 echo ${db_check}

>&2 echo "Finished install WordPress check."
